Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005696 [JEDI VCL] 02 Installation minor always 2011-10-30 01:02 2012-09-10 14:15
Reporter AMarchant View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005696: Overbyte Internet Components JvNet-R.xml package name (Delphi 7)
Description That no-one else has reported this makes me imagine that it's probably a fairly obscure issue - and perhaps not a "bug" at all, if the stated intention is to target a very specific version of ICS.

When I choose to edit jvcl7.inc at the configuration stage of the JVCL 3.45 installer, and select USE_3RDPARTY_ICS, I get an installer error when it tries to compile the ICS components:

JvNet.dpk(50) Fatal: Required package 'IcsDel70' not found

ICS is now available in three editions: ICS-V5 (this appears to be the version the installer is looking for), ICS-V6 (released 2009) and ICS-V7 (released 2010 - the set I've downloaded for Delphi 7) - http://www.overbyte.be/frame_index.html [^]

It seems Fran├žois changed his package naming scheme beginning with ICS-V6.
ICS-V5 is for "Delphi 1-2007" and "BCB 1-6";
ICS-V6 is for "Delphi 7-2007 and "BCB 6-2007";
ICS-V7 is for "Delphi 7-Delphi XE" and "BCB 2006-XE".

At the moment JvNet-R.xml lists the ICS packages according to the names used in ICS-V5. For anyone running Delphi7 or later, and who has installed ICS-V6 or ICS-V7, these no longer match the packages supplied with the ICS source files.

I don't know if JvNet-R.xml can be updated using the "Targets" value to conditionally select the correct name? The trouble is that all ICS versions support an overlapping set of Delphi/BCB versions, so - say - a Delphi 2007 user could be using ICS-V5, ICS-V6 or ICS-V7. If they're using ICS-V5, it'll be one set of names, if they're using either of the later versions it'll be another set of names...

I'd list the updated package names in this message, but I'm not familiar with package file extensions for more recent versions of Delphi/BCB, I see files labelled "OverbyteIcsBcb100Package.bdsproj" and "OverbyteIcsBcb110Package.cbproj", these mean nothing to me.

I hit the same issue (I'd add this as a separate ticket, but as I say, I'm not sure these qualify as "bugs") when I chose "USE_3RDPARTY_INDY", the compiler error was:

JvNet.dpk(50) Fatal: Required package 'indysystem' not found

I'm using the most recent SVN version of Indy 10. It was necessary to rename "indysystem" in JvNet-R.xml to "indysystem70" (For Delphi 7 - indysystem60 for Delphi 6).
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0019070)
AMarchant (reporter)
2011-10-30 01:17

Update. Having manually modified my copy of JvNet-R.xml, the installer has failed at a later stage with:

C:\Program Files\Borland\Delphi7\Source\3rdParty\JEDI\JVCL\run\JvProgramVersionCheck.pas(39) Fatal: File not found: 'HttpProt.dcu'

...browsing through the ICS source directory, it looks as though Fran├žois has re-labelled ALL of his component files. So JvProgramVersionCheck.pas "uses" HttpProt, but in ICS-V6/V7 "HttpProt.pas" is now called "OverbyteIcsHttpProt.pas" (all files are now pre-pended with "OverbyteIcs").

I expect to encounter many more such errors as a result.

I'm not sure it's reasonable to expect the JVCL maintainers to go through and modify every ICS reference in the source code to reflect this change. I'd imagine it'd require adding a new compiler directive (to differentiate between ICS-V5 and ICS-V6/7) in addition to including all of the new unit names.

I'll leave it up to you, but as far as I'm concerned this isn't immediately actionable, and I'd close the report if that option were available to me.
(0019437)
obones (administrator)
2012-02-22 14:40

For Indy, we stick with whatever version comes with the IDE.

For ICS, we should change the packages to use ICS-V7
If you can provide a diff file, it would be even better
(0019570)
obones (administrator)
2012-02-27 12:06

This is now fixed in SVN, ICSv7 is used for all versions that it supports

- Issue History
Date Modified Username Field Change
2011-10-30 01:02 AMarchant New Issue
2011-10-30 01:17 AMarchant Note Added: 0019070
2012-02-22 14:40 obones Note Added: 0019437
2012-02-22 14:40 obones Status new => acknowledged
2012-02-27 12:06 obones Note Added: 0019570
2012-02-27 12:06 obones Status acknowledged => resolved
2012-02-27 12:06 obones Fixed in Version => Daily / SVN
2012-02-27 12:06 obones Resolution open => fixed
2012-02-27 12:06 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker